Skip to Content
Customers

Check Customer Exists

Acesso

Membro da organização com esta permissão:

  • customers:read

Uma chave de API com scopes também precisa da permissão nos seus scopes.

POST
/orgs/{organizationId}/customers/check-exists

Checks if a customer already exists by first name + last name or phone number. Used to prevent duplicate creation.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Request Body

application/json
  1. body
firstName?string
lastName?string
email?|unknown
phone?string

Response Body

OK

application/json
  1. response
Example Request
curl -X POST 'https://api.tillor.eu/orgs//customers/check-exists' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
null